# coding: utf-8

from __future__ import absolute_import
from __future__ import unicode_literals

from tests.testapp.oauth2.response import TestJsonResponse


def test_token_view(request):
    """Вью для теста, возвращает токен."""

    error = (
        # Для возможности вернуть ошибку, параметры передаются из тестов
        request.POST.get('code') == 'error' or
        request.POST.get('refresh_token') == 'error'
    )

    if error:
        return TestJsonResponse({}, status=403)

    token = {
        "access_token": "ACCESS_TOKEN",
        "token_type": "bearer",
        "expires_in": 2592000,
        "refresh_token": "REFRESH_TOKEN",
        'post_params': request.POST.dict()
    }

    return TestJsonResponse(token)
